button = {}
mouseover = false

function button_spawn(x,y,text,id)
	table.insert(button, {x = x, y = y, text = text, id = id})
end

function button_draw()
	for i,v in ipairs(button) do
		if v.mouseover == false then
			love.graphics.setColor(255,255,255)
		end
		if v.mouseover == true then
			love.graphics.setColor(0,255,255)
		end
		love.graphics.setFont(large)
		love.graphics.print(v.text,v.x,v.y)
	end
end

function button_hover(x,y)
	for i,v in ipairs(button) do
		if mousex > v.x and
		mousex < v.x + large:getWidth(v.text) and
		mousey > v.y and
		mousey < v.y + large:getHeight(v.text) then
			v.mouseover = true
		else
			v.mouseover = false
		end
	end
end

function button_click(x,y)
	for i,v in ipairs(button) do
		if x > v.x and
		x < v.x + large:getWidth(v.text) and
		y > v.y and
		y < v.y + large:getHeight(v.text) then
			if v.id == "quit" then
				love.event.push("quit")
			end
			if v.id == "start" then
				gamestate = "playing"
			end
			if v.id == "pause" then
				gamestate = "menu"
			end
			if v.id == "option" then
				gamestate = "option"
			end
		end
	end
end