player = {
	pic = love.graphics.newImage("img/Players/circle.png"),
	walk = love.graphics.newImage("img/Players/animation.png"),
	color = love.graphics.newImage("img/Players/color.png"),
	x = 15,
	y = 15,
	x_velocity = 0,
	y_velocity = 0,
	speed = 200,
	directoin = "right",
	moving = "no",
}
p_width = player.pic:getWidth()
p_height = player.pic:getHeight()

function player_move(dt)

	if love.keyboard.isDown("right") or love.keyboard.isDown("d") then
		player.x = player.x + player.speed * dt
	end
	if love.keyboard.isDown("left") or love.keyboard.isDown("a") then
		player.x = player.x - player.speed * dt
	end
	if love.keyboard.isDown("up") or love.keyboard.isDown("w") then
		player.y = player.y - player.speed * dt
	end
	if love.keyboard.isDown("down") or love.keyboard.isDown("s") then
		player.y = player.y + player.speed * dt
	end
	
	if love.keyboard.isDown("right") or love.keyboard.isDown("d") then
		player.x_velocity = 1
		player.direction = "right"
	elseif love.keyboard.isDown("left") or love.keyboard.isDown("a") then
		player.x_velocity = -1
		player.direction = "left"
	elseif love.keyboard.isDown("up") or love.keyboard.isDown("w") then
		player.y_velocity = 1
		player.direction = "up"
	elseif love.keyboard.isDown("down") or love.keyboard.isDown("s") then
		player.y_velocity = -1
		player.direction = "down"
	else
		player.y_velocity = 0
		player.x_velocity = 0
	end
	
	if player.direction == "right" and player.x_velocity > 0 then
		player.moving = "mR"
	elseif direction == "left" and player.x_velocity < 0 then
		player.moving = "mL"
	elseif direction == "up" and player.y_velocity > 0 then
		player.moving = "mU"
	elseif player.direction == "down" and player.y_velocity < 0 then
		player.moving = "mD"
	else
		player.moving = "no"
	end
	
end

