zombie = {
	pic = love.graphics.newImage("img/Players/circle.png"),
	x_velocity = 0,
	y_velocity = 0,
	speed = 150,
	direction = "left",
	moving = "no",
	living = true,
}

function zombie_spawn(x,y)
	table.insert(zombie, {x = x, y = y})
end

function zombie_draw()
	for i,z in ipairs(zombie) do
		love.graphics.draw(zombie.pic,z.x,z.y)
	end
end

function zombie_move(dt)	
  for i,thisZombie in ipairs(zombie) do
    local dx,dy = thisZombie.x - player.x, thisZombie.y-player.y
    local distance = math.sqrt(dx^2+dy^2)
    thisZombie.x = thisZombie.x - dx/distance * zombie.speed * dt
    thisZombie.y = thisZombie.y - dy/distance * zombie.speed * dt
  end
end